#!/bin/bash
#
# Compatible to work with TouchEgg & DiNoc
#
synclient LeftEdge=130 # 130
synclient RightEdge=3130 # 3130
synclient TopEdge=114 # 114
synclient BottomEdge=2005 # 2005
#
# Threshold for touchpad to identify "touched" and "released".
synclient FingerHigh=15 # 20
synclient FingerLow=10 # 15
#
synclient MaxTapTime=200 # 180
synclient MaxTapMove=200 # 171
synclient MaxDoubleTapTime=180
synclient SingleTapTimeout=180
synclient ClickTime=100
#
synclient EmulateMidButtonTime=0 # 0
synclient EmulateTwoFingerMinZ=0 # 282
synclient EmulateTwoFingerMinW=7 # 7
#
# Scroll emulation
synclient VertScrollDelta=-100 # -77 vertical scroll speed. Negative for natural scroll.
synclient HorizScrollDelta=-100 # -77 horizontal scroll speed.
synclient VertEdgeScroll=0 # 0
synclient HorizEdgeScroll=0 # 0
synclient CornerCoasting=0 # 0
synclient VertTwoFingerScroll=1 # 1
synclient HorizTwoFingerScroll=1 # 1
#
# Movement's speed and acceleration.
synclient MinSpeed=1.1
synclient MaxSpeed=2.1
synclient AccelFactor=0.04
#
# Enables / disables some features
synclient TouchpadOff=0 # 0
#
# "Drag" action is activated with double tap and deactivate with another tap
synclient LockedDrags=0 # 0
synclient LockedDragTimeout=5000
#
# Special actions for corners
synclient RTCornerButton=0 # 2
synclient RBCornerButton=0 # 3
synclient LTCornerButton=0
synclient LBCornerButton=0
#
# 0 disabled, 1 left click, 2 paste, 3 right click, 4-5 scroll up-down
synclient TapButton1=1 # One finger tap action
synclient TapButton2=3 # Two finger tap action
synclient TapButton3=0 # Three finger tap action
synclient ClickFinger1=1 # One finger click action
synclient ClickFinger2=3 # Two finger click action
synclient ClickFinger3=0 # Three finger click action
#
# Circular scrolling options
synclient CircularScrolling=0
synclient CircScrollDelta=0
synclient CircScrollTrigger=0
#
# Palm detection (proper HW is required for using these options)
synclient PalmDetect=1 # 0
synclient PalmMinWidth=5 # 10
synclient PalmMinZ=20 # 200
#
# Coasting scroll is when scroll continues after releasing the touchpad (inertia)
synclient CoastingSpeed=20
synclient CoastingFriction=40
#
# When min-max pressure motion are detected, pressure motion factors are applied
synclient PressureMotionMinZ=30 # 30
synclient PressureMotionMaxZ=120 # 160
synclient PressureMotionMinFactor=1.2
synclient PressureMotionMaxFactor=1.4
#
synclient GrabEventDevice=0 # 1
synclient TapAndDragGesture=1 # 1
#
synclient AreaLeftEdge=0
synclient AreaRightEdge=0
synclient AreaTopEdge=0
synclient AreaBottomEdge=0
#
# The minimum HW distance (threshold) required to  generate  motion events
synclient HorizHysteresis=10 # 19
synclient VertHysteresis=10 # 19
#
## touchpad without a physical button
synclient ClickPad=1
# Coordinates for right button
synclient RightButtonAreaLeft=1630 # 1630
synclient RightButtonAreaRight=0 # 0
synclient RightButtonAreaTop=1650 # 1737
synclient RightButtonAreaBottom=0 # 0
# Coordinates for middle button
synclient MiddleButtonAreaLeft=0 # 0
synclient MiddleButtonAreaRight=0 # 0
synclient MiddleButtonAreaTop=0 # 0
synclient MiddleButtonAreaBottom=0 # 0
